---
title: HTMLAnchorElement.relList
slug: Web/API/HTMLAnchorElement/relList
tags:
  - API
  - HTML DOM
  - HTMLAnchorElement
  - Property
  - Reference
  - relList
---
<div>{{APIRef("HTML DOM")}}</div>

<p>The <code><strong>HTMLAnchorElement.relList</strong></code> read-only property reflects the {{htmlattrxref("rel", "a")}} attribute. It is a live {{domxref("DOMTokenList")}} containing the set of <a href="/en-US/docs/Web/HTML/Link_types">link types</a> indicating the relationship between the resource represented by the {{HTMLElement("a")}} element and the current document.</p>

<p>The property itself is read-only, meaning you can't substitute the {{domxref("DOMTokenList")}} with another one, but its contents can still be changed.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>relstr</em> = <em>anchorElt</em>.relList;
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">var anchors = document.getElementsByTagName("a");
var length = anchors.length;
for (var i = 0; i &lt; length; i++) {
  var list = anchors[i].relList;
  var listLength = list.length;
  console.log("New anchor node found with", listLength, "link types in relList.");
  for (var j = 0; j &lt; listLength; j++) {
    console.log(list[j]);
  }
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'embedded-content.html#dom-a-rellist', 'relList')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.HTMLAnchorElement.relList")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The equivalent property on {{HTMLElement("area")}} and {{HTMLElement("link")}}, {{domxref("HTMLAreaElement.relList")}} and {{domxref("HTMLLinkElement.relList")}}.</li>
 <li>The very same list but as a space-separated tokens in a {{domxref("DOMString")}}: {{domxref("HTMLAnchorElement.rel")}}</li>
</ul>
